#include <common.h>
#include <init.h>
#include <shader.h>

int main(int argc, char *argv[]) {

    // initialize OpenGL
    initGL(argc, argv);
   
    // load shaders
    // iterate over args
    for (int i=1; i<argc; i++) {
        std::string arg(argv[i]);
        loadShader(arg);
    }
    // link shaders
    linkShaders();
   
    // start main loop
    glutMainLoop();

    // delete Shaders
    // TODO

    return EXIT_SUCCESS;
}
        


